// 判断是否是直辖市
function testMunicipality(current, isMunicipality) {
  var _current$type, _current$type$include;
  if (typeof isMunicipality === 'function') {
    return isMunicipality(current);
  }
  if (current.isMunicipality || (_current$type = current.type) !== null && _current$type !== void 0 && (_current$type$include = _current$type.includes) !== null && _current$type$include !== void 0 && _current$type$include.call(_current$type, 'municipality')) {
    return true;
  }
  if (!(current !== null && current !== void 0 && current.id)) return false;
  if (typeof (current === null || current === void 0 ? void 0 : current.id) === 'number') current.id = '' + current.id;
  return (window.municipalityIds || []).includes(current.id);
}
export default testMunicipality;